Mail archive
alpine-aports

[alpine-aports] [PATCH] main/logtail

From: Nathan Angelacos <nangel_at_alpinelinux.org>
Date: Tue, 24 Feb 2015 02:51:01 +0000

New package - sourceforge logtail-v3 C re-implementation
        of original psionic.com logtail
---
 main/logtail/APKBUILD | 47 +++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 47 insertions(+)
 create mode 100644 main/logtail/APKBUILD
diff --git a/main/logtail/APKBUILD b/main/logtail/APKBUILD
new file mode 100644
index 0000000..9dac83c
--- /dev/null
+++ b/main/logtail/APKBUILD
_at_@ -0,0 +1,47 @@
+# Maintainer: Nathan Angelacos <nangel_at_alpinelinux.org>
+# Bit 'o history here:
+# In 1997 Craig Rowland of psionic.com released a package called LogSentry
+#  http://www.psionic.com/downloads/logsentry-1.1.1.tar.gz
+# One of the tools was "logtail".  It was written in C.
+# Cisco bought Psionic, and took logsentry offline.
+# Debian supports a Perl re-implementation (logtail2)
+#  https://packages.debian.org/unstable/logtail
+# This is the sourceforge re-re-implementation in C, and the 
+# offical package project name is 'logtail-v3'
+# At the risk of being technically incorrect we call this package logtail
+pkgname=logtail
+pkgver=3.21
+pkgrel=0
+pkgdesc="Print new lines in log file since the last run (sf.net $pkgname-v3 ver)"
+url="http://logtail-v3.sourceforge.net/"
+arch="all"
+license="GPL2"
+depends=""
+makedepends=""
+subpackages=""
+source="http://downloads.sourceforge.net/$pkgname-v3/$pkgname-v$pkgver.zip"
+
+
+prepare() {
+	local i
+	cd "$srcdir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p0 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build () { 
+	cd "$srcdir"
+	cc -D_OS_UNIX -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -o logtail logtail-v$pkgver.c
+}
+
+package() {
+	cd "$srcdir"
+	install -Dm755 logtail "$pkgdir"/usr/bin/logtail || return 1
+}
+
+md5sums="2616009bd254172134f39e8c39e7c0c6  logtail-v3.21.zip"
+sha256sums="261f7eae055333d9c0277f4c79eb582c2f0b4cfb2b5f6b4e4329e543a846daaf  logtail-v3.21.zip"
+sha512sums="084d85db26b5f94d3a187d47ca31e91d39ba789eb3e19dfcbda406a693037bb8316419e37ad7ffdf37c034476cc624e8a28092fcea18190032605eae98891127  logtail-v3.21.zip"
-- 
2.2.2
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Tue Feb 24 2015 - 02:51:01 GMT